
%global meadversion 0.6.0
%global namedversion 0.6.0.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 1
%global namedversionrel redhat-4

%bcond_with javadoc
%bcond_without mead

%define maven_version 0.6.0.redhat-4

Name:           apache-mime4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache JAMES Mime4j
Group:          Development/Java

%if %with mead
Source100: apache-mime4j-0.6.0.redhat-4-scm-sources.zip
Source102: apache-mime4j-0.6.0.redhat-4-bin.tar.gz
Source103: apache-mime4j-0.6.0.redhat-4-project-sources.tar.gz
Source104: apache-mime4j-0.6.0.redhat-4-src.zip
Source105: apache-mime4j-0.6.0.redhat-4.pom
Source106: apache-mime4j-0.6.0.redhat-4.jar
Source107: apache-mime4j-0.6.0.redhat-4-sources.jar
Source108: apache-mime4j-0.6.0.redhat-4-bin.zip
Source109: apache-mime4j-0.6.0.redhat-4-javadoc.jar
Source110: apache-mime4j-0.6.0.redhat-4-src.tar.gz
%endif

License:        ASL 2.0
URL:            http://james.apache.org/mime4j
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
# FIXME
Requires:       james-project >= 0:1.8
Requires:       commons-logging >= 0:1.1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/apache-mime4j-%{namedversion}-%{release}-root

%description
Java stream based MIME message parser.

%if %with javadoc
%package -n apache-mime4j-javadoc
Summary:        Javadoc for apache-mime4j
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n apache-mime4j-javadoc
%{summary}.
%endif

%prep
%setup -q -n james-mime4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/apache-mime4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/apache-mime4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-apache-mime4j.pom

# depmaps
%add_to_maven_depmap org.apache.james apache-mime4j %{namedversion} JPP apache-mime4j
[ %{name} = "apache-mime4j" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/apache-mime4j

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-mime4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/apache-mime4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-mime4j-%{namedversion} -x META-INF/\*
%{__ln_s} apache-mime4j-%{namedversion} %{buildroot}%{_javadocdir}/apache-mime4j
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n apache-mime4j
%update_maven_depmap

%postun -n apache-mime4j
%update_maven_depmap

%files -n apache-mime4j
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt RELEASE_NOTES.txt
%{_javadir}/apache-mime4j-%{namedversion}.jar
%{_javadir}/apache-mime4j.jar
%exclude %{_javadir}/apache-mime4j-%{namedversion}-javadoc.jar
%exclude %{_javadir}/apache-mime4j-javadoc.jar
%{_javadir}/apache-mime4j-%{namedversion}-sources.jar
%{_javadir}/apache-mime4j-sources.jar
%{_mavenpomdir}/JPP-apache-mime4j.pom
%{_mavendepmapfragdir}/apache-mime4j

%if %with javadoc
%files -n apache-mime4j-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/apache-mime4j-%{namedversion}
%{_javadocdir}/apache-mime4j
%{_javadir}/apache-mime4j-%{namedversion}-javadoc.jar
%{_javadir}/apache-mime4j-javadoc.jar
%endif

%changelog
* Mon Dec 01 2014 Hui Wang <huwang@redhat.com> - 0.6.0-1.redhat_4.1
- OSGI version fix rebuild for EAP 6.4

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 0.6-10.redhat_3.1
- Build for RHEL-5 and 7 as well

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 0.6-10.redhat_3.1
- Build for RHEL-5 and 7 as well

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 0.6-10.redhat_3.1
- Build for RHEL-5 and 7 as well

* Tue Dec 03 2013 David Walluck <dwalluck@redhat.com> 0:0.6-9
- remove bad Requires: slf4j
- add missing BuildRequires: jpackage-utils
- remove non-MEAD code
- add doc
- fix bad License

* Tue Oct 15 2013 Lin Gao <lgao@redhat.com> - 0:0.6-8.redhat_3
- Rebuild to use inner git repository for CC
- Use new version/release mechnism
- Disable javadoc subpackage in mead mode

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-7.redhat_2.5
- Rebuild for MD5

* Sat Sep 01 2012 Paul Gier <pgier@redhat.com> - 0:0.6-6.redhat_2.5
- Pom updates for unsigned rebuild

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-6.redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-6.redhat_2.3
- Rebuild unsigned

* Wed Jul 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-6.redhat_1.2
- Rebuild using cache signing

* Wed Jul 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-6.redhat_1.1
- Rebuild using cache signing

* Thu Jul 12 2012 Hui Wang <huwang@redhat.com> - 0:0.6-6_redhat_1
- First mead build

* Mon Apr 16 2012 Martha Benitez <mbenitez@redhat.com> - 0:0.6-5.redhat_1
- Update vman.patch using vman-1.0.6-redhat-1

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.6-4_redhat_1.1
- Rebuild using cache signing

* Mon Feb 13 2012 David Walluck <dwalluck@redhat.com> 0:0.6-4
- replace commons-logging by jcl-over-slf4j
- javadoc requires jpackage-utils
- fix repolib file ownership
- add more doc
- BuildRequires: jboss-parent
- use standalone javacc-maven-plugin
- use newer felix stack

* Tue Nov 15 2011 Martha Benitez <mbenitez@redhat.com> - 0:0.6-3_redhat_1
- Build for EAP6

* Tue Dec 14 2010 David Walluck <dwalluck@redhat.com> 0:0.6-2.1
- update file list for brew
- change apache (Build)Requires to jakarta for brew
- add repolib
- use 'mvn deploy'

* Tue Dec 14 2010 David Walluck <dwalluck@redhat.com> 0:0.6-2
- build with external apache-jar-resource-bundle-1.3
- build with external james-project-1.2
- remove BuildRequires: junit44

* Sat Oct 16 2010 Ralph Apel <r.apel@r-apel.de> 0.6-1
- first release
